export default {
  // System common
  system: {
    title: "Digital Office Automation System",
    name: "DOAS",
    welcome: "Welcome to",
    logout: "Logout",
    login: "Login",
    register: "Register",
    home: "Home",
    dashboard: "Dashboard",
    profile: "Profile",
    settings: "Settings",
    about: "About Us",
  },

  // Navigation menu
  navbar: {
    dashboard: "Dashboard",
    system: "System Management",
    user: "User Management",
    role: "Role Management",
    dept: "Department Management",
    menu: "Menu Management",
    dict: "Dictionary Management",
    config: "Config Management",
    monitor: "System Monitor",
    workflow: "Workflow",
    oa: "Office Management",
    tool: "System Tools",
  },

  // Common buttons
  button: {
    search: "Search",
    reset: "Reset",
    add: "Add",
    edit: "Edit",
    delete: "Delete",
    save: "Save",
    cancel: "Cancel",
    confirm: "Confirm",
    submit: "Submit",
    export: "Export",
    import: "Import",
    refresh: "Refresh",
    close: "Close",
    view: "View",
    detail: "Detail",
    back: "Back",
    next: "Next",
    prev: "Previous",
    finish: "Finish",
  },

  // Form labels
  form: {
    username: "Username",
    password: "Password",
    confirmPassword: "Confirm Password",
    name: "Name",
    email: "Email",
    phone: "Phone",
    status: "Status",
    remark: "Remark",
    createTime: "Create Time",
    updateTime: "Update Time",
    operation: "Operation",
    required: "Required",
    optional: "Optional",
  },

  menu: {
    checkin: "Check in",
    dashboard: "Dashboard",
    profile: "Profile",
  },

  // Status text
  status: {
    enabled: "Enabled",
    disabled: "Disabled",
    normal: "Normal",
    locked: "Locked",
    deleted: "Deleted",
    pending: "Pending",
    processing: "Processing",
    completed: "Completed",
    cancelled: "Cancelled",
  },

  // Messages
  message: {
    success: "Operation successful",
    error: "Operation failed",
    warning: "Warning",
    info: "Info",
    confirm: "Confirm operation",
    deleteConfirm: "Are you sure to delete?",
    saveSuccess: "Save successful",
    deleteSuccess: "Delete successful",
    updateSuccess: "Update successful",
    createSuccess: "Create successful",
    loading: "Loading...",
    noData: "No data",
    selectData: "Please select data",
    inputRequired: "Please input required field",
    selectRequired: "Please select required field",
  },

  // Pagination
  pagination: {
    total: "Total {total} items",
    page: "Page {page}",
    pageSize: "{size} items per page",
    goto: "Go to",
    prev: "Previous",
    next: "Next",
  },

  // Language selection
  language: {
    zh: "中文",
    en: "English",
    ja: "日本語",
    switch: "Switch Language",
  },

  // Error pages
  error: {
    401: {
      title: "401",
      message: "Sorry, you do not have access to this page",
      back: "Back to Home",
    },
    404: {
      title: "404",
      message: "Sorry, the page you visited does not exist",
      back: "Back to Home",
    },
    500: {
      title: "500",
      message: "Sorry, internal server error",
      back: "Back to Home",
    },
  },

  login: {
    title: "Digital Office Automation System",
    username: "Username",
    password: "Password",
    rememberMe: "Remember Me",
    forgetPassword: "Forget Password",
    login: "Login",
    register: "Register",
    code: "Verification Code",
    placeholder: {
      username: "Please enter your username",
      password: "Please enter your password",
      code: "Please enter the verification code",
    },
  },

  home: {
    checkin: {
      title: "Check in",
    },
    dept: {
      noSet: "Not set department",
    },
    joinedDate: "Joined Date",
    birthday: "{name}, {birthday} is your birthday, happy birthday!",
    birthdayMonth: "Month",
    birthdayDay: "Day",
  },

  checkin: {
    workStartTime: "Start",
    workEndTime: "End",
    loading: "Loading attendance information...",
    button: {
      notChecked: "Check In",
      checkedIn: "Check Out",
      checkedOut: "Checked Out",
      confirmCheck: "Confirm Check",
    },
    punch: {
      status: {
        notChecked: "Not Checked In",
        checkedIn: "Checked In",
        checkedOut: "Checked Out",
        lateIn: "Late Check-In",
        earlyOut: "Early Check-Out",
        updateOut: "Updated Check",
        error: "Check-In Failed",
        todayChecked: "Today's check-in is complete",
        success: "Check-In Success",
        clockInTime: "Check-In Time",
        clockInLocation: "Check-In Location",
      },
      remark: {
        placeholder: "Please enter the remark information (optional)",
      },
    },
    area: {
      inRange: "In Range",
      outRange: "Out Range",
    },
    error: {
      outOfRange: "Please check in within the range",
      submitFailed: "Submit failed",
    },
  },

  warmMessage: {
    message1: "Every day smile, the sun will be brighter, {name} !",
    message2:
      "Feel the beauty of life from the bottom of your heart, {name}, today will be a happy day!",
    message3: "Believe in yourself, you are the best, {name}!",
    message4:
      "Feel the small happiness of every day, {name}, find the full happiness!",
    message5: "Friendly actions spread good mood, {name}, stay happy!",
    message6:
      "In every small happiness, {name}, you can find the full happiness.",
    message7: "Thankfulness makes happiness closer, {name}, keep going!",
    message8:
      "Be the best version of yourself, {name}, you deserve the best life.",
    message9:
      "Every day is a new beginning, {name}, seize the opportunity to chase your dreams.",
    message10: "Smile is the brightest color in life, {name}, keep smiling!",
    message11:
      "The sun is in your heart, warmth never stops, {name}, you will always be warm.",
    message12:
      "Happiness is in your heart, {name}, your heart is full of infinite happiness.",
    message13: "Every day's effort is not in vain, {name}, keep going!",
    message14: "Use your creativity, {name}, create a better future.",
    message15:
      "Use kindness to infect the world, {name}, the world will be better because of you.",
    message16:
      "Face challenges with courage, {name}, you can overcome any obstacle.",
    message17: "Enjoy life, {name}, life will be enjoyable because of you.",
    message18:
      "Don't forget to smile, {name}, because your smile can light up the world.",
    message19: "No matter what, {name}, keep a positive attitude.",
    message20: "Time flies, {name}, your beauty and age fly together.",
    message21:
      "Hope in your heart, {name}, the future is full of infinite possibilities.",
  },
};
