export default {
  // システム共通
  system: {
    title: "デジタルオフィス自動化システム",
    name: "DOAS",
    welcome: "ようこそ",
    logout: "ログアウト",
    login: "ログイン",
    register: "登録",
    home: "ホーム",
    dashboard: "ダッシュボード",
    profile: "プロフィール",
    settings: "システム設定",
    about: "私たちについて",
  },

  // ナビゲーションメニュー
  navbar: {
    dashboard: "ホーム",
    system: "システム管理",
    user: "ユーザー管理",
    role: "ロール管理",
    dept: "部門管理",
    menu: "メニュー管理",
    dict: "辞書管理",
    config: "パラメータ設定",
    monitor: "システム監視",
    workflow: "ワークフロー",
    oa: "オフィス管理",
    tool: "システムツール",
  },

  // 共通ボタン
  button: {
    search: "検索",
    reset: "リセット",
    add: "追加",
    edit: "編集",
    delete: "削除",
    save: "保存",
    cancel: "キャンセル",
    confirm: "確認",
    submit: "送信",
    export: "エクスポート",
    import: "インポート",
    refresh: "更新",
    close: "閉じる",
    view: "表示",
    detail: "詳細",
    back: "戻る",
    next: "次へ",
    prev: "前へ",
    finish: "完了",
  },

  // フォームラベル
  form: {
    username: "ユーザー名",
    password: "パスワード",
    confirmPassword: "パスワード確認",
    name: "名前",
    email: "メールアドレス",
    phone: "電話番号",
    status: "ステータス",
    remark: "備考",
    createTime: "作成時間",
    updateTime: "更新時間",
    operation: "操作",
    required: "必須",
    optional: "任意",
  },

  menu: {
    checkin: "出勤退勤システム",
    dashboard: "ダッシュボード",
    profile: "プロフィール",
  },

  // ステータステキスト
  status: {
    enabled: "有効",
    disabled: "無効",
    normal: "正常",
    locked: "ロック",
    deleted: "削除済み",
    pending: "保留中",
    processing: "処理中",
    completed: "完了",
    cancelled: "キャンセル済み",
  },

  // メッセージ
  message: {
    success: "操作が成功しました",
    error: "操作が失敗しました",
    warning: "警告",
    info: "情報",
    confirm: "操作を確認",
    deleteConfirm: "削除してもよろしいですか？",
    saveSuccess: "保存が成功しました",
    deleteSuccess: "削除が成功しました",
    updateSuccess: "更新が成功しました",
    createSuccess: "作成が成功しました",
    loading: "読み込み中...",
    noData: "データがありません",
    selectData: "データを選択してください",
    inputRequired: "必須項目を入力してください",
    selectRequired: "必須項目を選択してください",
  },

  // ページネーション
  pagination: {
    total: "合計 {total} 件",
    page: "ページ {page}",
    pageSize: "1ページあたり {size} 件",
    goto: "ジャンプ",
    prev: "前のページ",
    next: "次のページ",
  },

  // 言語選択
  language: {
    zh: "中文",
    en: "English",
    ja: "日本語",
    switch: "言語切替",
  },

  // エラーページ
  error: {
    401: {
      title: "401",
      message: "申し訳ございません。このページにアクセスする権限がありません",
      back: "ホームに戻る",
    },
    404: {
      title: "404",
      message: "申し訳ございません。お探しのページが見つかりません",
      back: "ホームに戻る",
    },
    500: {
      title: "500",
      message: "申し訳ございません。サーバー内部エラーが発生しました",
      back: "ホームに戻る",
    },
  },

  login: {
    title: "Digital Office Automation System",
    username: "ユーザー名",
    password: "パスワード",
    rememberMe: "ログイン情報を記憶する",
    forgetPassword: "パスワードを忘れた場合",
    login: "ログイン",
    register: "登録",
    code: "検証コード",
    placeholder: {
      username: "ユーザー名を入力してください",
      password: "パスワードを入力してください",
      code: "検証コードを入力してください",
    },
  },

  home: {
    checkin: {
      title: "出勤退勤システム",
    },
    dept: {
      noSet: "未設定部門",
    },
    joinedDate: "入社日",
    birthday:
      "{name}、{birthday}はあなたの誕生日です。お誕生日おめでとうございます！",
    birthdayMonth: "月",
    birthdayDay: "日",
  },

  checkin: {
    workStartTime: "出勤",
    workEndTime: "退勤",
    loading: "考勤情報を読み込んでいます...",
    button: {
      notChecked: "出勤打刻",
      checkedIn: "退勤打刻",
      checkedOut: "打刻済み",
      confirmCheck: "打刻確認",
    },
    punch: {
      status: {
        notChecked: "未打刻",
        checkedIn: "打刻済み",
        checkedOut: "打刻済み",
        lateIn: "遅刻打刻",
        earlyOut: "早退打刻",
        updateOut: "打刻更新",
        error: "打刻失敗",
        todayChecked: "今日の打刻は完了しました",
        success: "打刻成功",
        clockInTime: "打刻時間",
        clockInLocation: "打刻地点",
      },
      remark: {
        placeholder: "備考を入力してください（任意）",
      },
    },
    area: {
      inRange: "打刻範囲内",
      outRange: "打刻範囲外",
    },
    error: {
      outOfRange: "打刻範囲外です。打刻範囲内に入ってから打刻してください。",
      submitFailed: "送信失敗",
    },
  },

  warmMessage: {
    message1:
      "毎日笑顔をあげると、陽光はより輝きます。{name}、頑張ってください！",
    message2:
      "心の底から生活の美を感じて、{name}、今日も楽しい日になりますように。",
    message3: "自分を信じて、あなたは最も優れた存在です。{name}！",
    message4:
      "毎日の小さな喜びを感じて、{name}、満ち満ちた幸せを見つけてください。",
    message5: "友好的な行動は良い気分を伝えます。{name}、元気でいてください！",
    message6:
      "毎日の小さな喜びを感じて、{name}、満ち満ちた幸せを見つけてください。",
    message7:
      "心からの感謝は、幸せをより近づけます。{name}、頑張ってください！",
    message8:
      "最善の自分を目指して、{name}、あなたは最も美しい生活を手に入れることができます。",
    message9:
      "新しい始まりは、{name}、夢を追いかけるチャンスを捉えてください。",
    message10: "笑顔は生活の最も輝かしい色です。{name}、元気でいてください！",
    message11:
      "陽光は心の中にあり、暖かさは止まりません。{name}、あなたはいつまでも暖かいままです。",
    message12:
      "幸せは心の中にあります。{name}、あなたの心は無限の幸せを持っています。",
    message13: "毎日の努力は無駄になりません。{name}、頑張ってください！",
    message14:
      "あなたの創造力を発揮して、{name}、未来をより美しくしてください。",
    message15:
      "あなたの善行は世界をより良くします。{name}、世界はあなたによってより良くなります。",
    message16:
      "勇気を持って挑戦して、{name}、あなたはどんな障害も克服できます。",
    message17:
      "生活を楽しむ、{name}、生活はあなたによって楽しいものになります。",
    message18:
      "笑顔は世界を輝かせます。{name}、あなたの笑顔は世界を輝かせます。",
    message19: "どんな困難があっても、{name}、楽観的な態度を持ってください。",
    message20: "時間は流れ、{name}、あなたの美しさと年齢は共に進みます。",
    message21: "希望を持って、{name}、未来は無限の可能性を持っています。",
  },
};
