export default {
  // 系统通用
  system: {
    title: "数字化办公自动化系统",
    name: "DOAS",
    welcome: "欢迎使用",
    logout: "退出登录",
    login: "登录",
    register: "注册",
    home: "首页",
    dashboard: "工作台",
    profile: "个人资料",
    settings: "系统设置",
    about: "关于我们",
  },

  // 导航菜单
  navbar: {
    dashboard: "首页",
    system: "系统管理",
    user: "用户管理",
    role: "角色管理",
    dept: "部门管理",
    menu: "菜单管理",
    dict: "字典管理",
    config: "参数设置",
    monitor: "系统监控",
    workflow: "工作流程",
    oa: "办公管理",
    tool: "系统工具",
  },

  // 通用按钮
  button: {
    search: "搜索",
    reset: "重置",
    add: "新增",
    edit: "修改",
    delete: "删除",
    save: "保存",
    cancel: "取消",
    confirm: "确定",
    submit: "提交",
    export: "导出",
    import: "导入",
    refresh: "刷新",
    close: "关闭",
    view: "查看",
    detail: "详情",
    back: "返回",
    next: "下一步",
    prev: "上一步",
    finish: "完成",
  },

  // 表单标签
  form: {
    username: "用户名",
    password: "密码",
    confirmPassword: "确认密码",
    name: "姓名",
    email: "邮箱",
    phone: "手机号",
    status: "状态",
    remark: "备注",
    createTime: "创建时间",
    updateTime: "更新时间",
    operation: "操作",
    required: "必填",
    optional: "选填",
  },

  menu: {
    checkin: "考勤打卡",
    dashboard: "首页",
    profile: "个人中心",
  },

  // 状态文本
  status: {
    enabled: "启用",
    disabled: "禁用",
    normal: "正常",
    locked: "锁定",
    deleted: "已删除",
    pending: "待处理",
    processing: "处理中",
    completed: "已完成",
    cancelled: "已取消",
  },

  // 提示信息
  message: {
    success: "操作成功",
    error: "操作失败",
    warning: "警告",
    info: "提示",
    confirm: "确认操作",
    deleteConfirm: "确定要删除吗？",
    saveSuccess: "保存成功",
    deleteSuccess: "删除成功",
    updateSuccess: "更新成功",
    createSuccess: "创建成功",
    loading: "加载中...",
    noData: "暂无数据",
    selectData: "请选择数据",
    inputRequired: "请输入必填项",
    selectRequired: "请选择必填项",
  },

  // 分页
  pagination: {
    total: "共 {total} 条",
    page: "第 {page} 页",
    pageSize: "每页 {size} 条",
    goto: "跳转到",
    prev: "上一页",
    next: "下一页",
  },

  // 语言选择
  language: {
    zh: "中文",
    en: "English",
    ja: "日本語",
    switch: "切换语言",
  },

  // 错误页面
  error: {
    401: {
      title: "401",
      message: "抱歉，您无权访问该页面",
      back: "返回首页",
    },
    404: {
      title: "404",
      message: "抱歉，您访问的页面不存在",
      back: "返回首页",
    },
    500: {
      title: "500",
      message: "抱歉，服务器内部错误",
      back: "返回首页",
    },
  },

  login: {
    title: "Digital Office Automation System",
    username: "用户名",
    password: "密码",
    rememberMe: "记住密码",
    forgetPassword: "忘记密码",
    login: "登录",
    register: "注册",
    code: "验证码",
    placeholder: {
      username: "请输入用户名",
      password: "请输入密码",
      code: "请输入验证码",
    },
  },

  home: {
    checkin: {
      title: "考勤打卡",
    },
    dept: {
      noSet: "未设置部门",
    },
    joinedDate: "入职时间",
    birthday: "{name}，{birthday}是你的生日，祝你生日快乐！",
    birthdayMonth: "月",
    birthdayDay: "日",
  },

  checkin: {
    workStartTime: "上班",
    workEndTime: "下班",
    loading: "正在加载考勤信息...",
    button: {
      notChecked: "上班打卡",
      checkedIn: "下班打卡",
      checkedOut: "已打卡",
      confirmCheck: "确认打卡",
    },
    punch: {
      status: {
        notChecked: "未打卡",
        checkedIn: "已打卡",
        checkedOut: "已打卡",
        lateIn: "迟到打卡",
        earlyOut: "早退打卡",
        updateOut: "更新打卡",
        error: "打卡失败",
        todayChecked: "今日已完成打卡",
        success: "打卡成功",
        clockInTime: "打卡时间",
        clockInLocation: "打卡地点",
      },
      remark: {
        placeholder: "请输入备注信息（选填）",
      },
    },
    area: {
      inRange: "已进入打卡范围",
      outRange: "未进入打卡范围",
    },
    error: {
      outOfRange: "请在打卡范围内进行打卡",
      submitFailed: "提交失败",
    },
  },

  warmMessage: {
    message1: "每天微笑，阳光会更灿烂，{name}加油！",
    message2: "用心感受生活的美好，{name}，今天也要快乐哦！",
    message3: "坚持自己，你是最棒的，{name}！",
    message4: "愿每个瞬间都充满温馨，{name}，加油！",
    message5: "友善的举止传递好心情，{name}，保持开心！",
    message6: "在每个小小的喜悦中，{name}，都能找到满满的幸福。",
    message7: "心怀感激，幸福会更加靠近，{name}，加油！",
    message8: "做最好的自己，{name}，你值得拥有最美好的生活。",
    message9: "每一天都是新的开始，{name}，抓住机会追寻梦想。",
    message10: "微笑是生活中最灿烂的颜色，{name}，请保持灿烂！",
    message11: "阳光洒在心间，温暖不止，{name}，愿你永远温暖如初。",
    message12: "快乐源于内心，{name}，愿你的内心充满无限快乐。",
    message13: "每一份努力都不会白费，{name}，坚持就是胜利。",
    message14: "发挥你的创造力，{name}，创造美好的未来。",
    message15: "用善良去感染世界，{name}，世界会因你而更美好。",
    message16: "勇敢面对挑战，{name}，你就是不可阻挡的力量。",
    message17: "热爱生活，{name}，生活也会热爱你。",
    message18: "别忘了微笑，{name}，因为你的笑容能够点亮整个世界。",
    message19: "不论遇到什么，{name}，都要保持乐观的心态。",
    message20: "时光荏苒，{name}，愿你的美好与年华齐飞。",
    message21: "心怀希望，{name}，未来充满无限可能。",
  },
};
